#include <iostream>
using namespace std;
int main()
{
  int t, z;
  int f=0;
  cin>>t>>z;
  int mx[t] , mn[t];
  for(int i=0; i<t; i++)
   {
      cin >>mx[i]>>mn[i];
   }

 int v1[z], v2[z], x3[z];
  for( i=0; i<z ; i++)
   {
      cin >>v1[i]>>v2[i]>>v3[i];
   }
   for( i=0; i<z ; i++)
   {
     f=0;
     for (int u=v1[i]; u<=v2[i]; u++)
     {

         if (v3[i]<=mx[u-1] && v3[i]>=mn[u-1])
         {
             g++;
         }
         else
            ;
     }
     cout<<f<<endl;
   }

    return 0;
}